> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v2/monitoring/circuits/summary

## OpenAPI

````json POST /v2/monitoring/circuits/summary
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v2/monitoring/circuits/summary": {
      "post": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v2MonitoringCircuitsSummaryPostRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v2MonitoringCircuitsSummaryPostResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "v2MonitoringCircuitsSummaryPostRequest": {
        "type": "object",
        "properties": {
          "deviceId": {
            "type": "integer",
            "format": "int64",
            "example": 12345678910,
            "minimum": 0
          },
          "timeWindow": {
            "$ref": "#/components/schemas/statsmonV2TimeWindow"
          }
        },
        "additionalProperties": false
      },
      "v2MonitoringCircuitsSummaryPostResponse": {
        "type": "object",
        "properties": {
          "circuitSummaries": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonV2CircuitSummary"
            }
          }
        },
        "additionalProperties": false
      },
      "statsmonV2TimeWindow": {
        "type": "object",
        "properties": {
          "bucketSizeSec": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "oldTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "recentTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          }
        },
        "additionalProperties": false
      },
      "statsmonV2CircuitSummary": {
        "type": "object",
        "properties": {
          "averageDelay": {
            "type": "number",
            "format": "float",
            "example": 12.34,
            "description": "Average delay for this circuit in this time duration"
          },
          "averageJitter": {
            "type": "number",
            "format": "float",
            "example": 12.34,
            "description": "Average jitter for this circuit in this time duration"
          },
          "averageLinkDownSpeedKbps": {
            "type": "number",
            "format": "float",
            "example": 12.34
          },
          "averageLinkUpSpeedKbps": {
            "type": "number",
            "format": "float",
            "example": 12.34
          },
          "averageLoss": {
            "type": "number",
            "format": "float",
            "example": 12.34,
            "description": "Average loss for this circuit in this time duration"
          },
          "avgMos": {
            "type": "number",
            "format": "float",
            "example": 12.34,
            "description": "Graphiant avg score/QoE based on mos for the time duration"
          },
          "circuitName": {
            "type": "string",
            "example": "example string"
          },
          "configLinkDownSpeedMbps": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "configLinkUpSpeedMbps": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "connectionStatus": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "currentLinkDownSpeedKbps": {
            "type": "number",
            "format": "float",
            "example": 12.34
          },
          "currentLinkUpSpeedKbps": {
            "type": "number",
            "format": "float",
            "example": 12.34
          },
          "delay": {
            "type": "integer",
            "format": "int64",
            "example": 12345678910,
            "minimum": 0,
            "description": "Delay in nano seconds"
          },
          "jitter": {
            "type": "integer",
            "format": "int64",
            "example": 12345678910,
            "minimum": 0,
            "description": "Jitter in nano seconds"
          },
          "lastResort": {
            "type": "boolean",
            "example": true
          },
          "loss": {
            "type": "number",
            "format": "float",
            "example": 12.34,
            "description": "Loss in percentage"
          },
          "maxDelay": {
            "type": "number",
            "format": "float",
            "example": 12.34,
            "description": "Max delay for this circuit in this time duration"
          },
          "maxJitter": {
            "type": "number",
            "format": "float",
            "example": 12.34,
            "description": "Max jitter for this circuit in this time duration"
          },
          "maxLoss": {
            "type": "number",
            "format": "float",
            "example": 12.34,
            "description": "Max loss for this circuit in this time duration"
          },
          "maxMos": {
            "type": "number",
            "format": "float",
            "example": 12.34,
            "description": "Graphiant max score/QoE based on mos for the time duration"
          },
          "minDelay": {
            "type": "number",
            "format": "float",
            "example": 12.34,
            "description": "Min delay for this circuit in this time duration"
          },
          "minJitter": {
            "type": "number",
            "format": "float",
            "example": 12.34,
            "description": "Min jitter for this circuit in this time duration"
          },
          "minLoss": {
            "type": "number",
            "format": "float",
            "example": 12.34,
            "description": "Min loss for this circuit in this time duration"
          },
          "minMos": {
            "type": "number",
            "format": "float",
            "example": 12.34,
            "description": "Graphiant min score/QoE based on mos for the time duration"
          },
          "mos": {
            "type": "number",
            "format": "float",
            "example": 12.34,
            "description": "Graphiant score/QoE based on mos"
          }
        },
        "additionalProperties": false
      },
      "googleProtobufTimestamp": {
        "type": "object",
        "properties": {
          "nanos": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "seconds": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

